import * as $dara from '@darabonba/typescript';
import { CreateServiceTrailResponseBody } from "./CreateServiceTrailResponseBody";
export declare class CreateServiceTrailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateServiceTrailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
